net.sf.jasperreports.components.iconlabel

## Class IconLabelComponentXmlWriter

- java.lang.Object
- - net.sf.jasperreports.components.iconlabel.IconLabelComponentXmlWriter

- All Implemented Interfaces:
    ComponentXmlWriter

      public class IconLabelComponentXmlWriter
      extends java.lang.Object
      implements ComponentXmlWriter

  Version:
    $Id: TextInputComponentXmlWriter.java 5922 2013-02-19 11:03:27Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IconLabelComponentXmlWriter(JasperReportsContext jasperReportsContext)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `isNewerVersionOrEqual(java.lang.String currentVersion, java.lang.String oldVersion)`
    `boolean` | `isToWrite(JRComponentElement componentElement, JRXmlWriter reportWriter)` Specifies whether this component should be written out.
    `protected void` | `writeIconLabelComponent(IconLabelComponent iconLabelComponent, ComponentKey componentKey, JRXmlWriter reportWriter)`
    `void` | `writeToXml(JRComponentElement componentElement, JRXmlWriter reportWriter)` Outputs the XML representation of a component.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IconLabelComponentXmlWriter

          public IconLabelComponentXmlWriter(JasperReportsContext jasperReportsContext)

  - ### Method Detail

    - #### isToWrite

          public boolean isToWrite(JRComponentElement componentElement,
                          JRXmlWriter reportWriter)

      Description copied from interface: `ComponentXmlWriter`
      Specifies whether this component should be written out. This is useful for versioning.
      Specified by:
        `isToWrite` in interface `ComponentXmlWriter`

    - #### writeToXml

          public void writeToXml(JRComponentElement componentElement,
                        JRXmlWriter reportWriter)
                          throws java.io.IOException

      Description copied from interface: `ComponentXmlWriter`
      Outputs the XML representation of a component.
      Specified by:
        `writeToXml` in interface `ComponentXmlWriter`
      Parameters:
        `componentElement` - the component element
        `reportWriter` - the report writer to which output is to be written
      Throws:
        `java.io.IOException` - exceptions produced while writing to the output stream
      See Also:
        `ComponentKey.getNamespacePrefix()`, `JRXmlWriter.getXmlWriteHelper()`

    - #### writeIconLabelComponent

          protected void writeIconLabelComponent(IconLabelComponent iconLabelComponent,
                                     ComponentKey componentKey,
                                     JRXmlWriter reportWriter)
                                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### isNewerVersionOrEqual

          protected boolean isNewerVersionOrEqual(java.lang.String currentVersion,
                                      java.lang.String oldVersion)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com